dataSets {dimRed} | R Documentation

## Example Data Sets for dimensionality reduction

### Description

A compilation of standard data sets that are often being used to showcase dimensionality reduction techniques.

### Usage

    loadDataSet(name = dataSetList(), n = 2000, sigma = 0.05)

    dataSetList()

### Arguments

`name` | A character vector that specifies the name of the data set.
`n` | In generated data sets the number of points to be generated, else ignored.
`sigma` | In generated data sets the standard deviation of the noise added, else ignored.

### Details

The argument `name` should be one of `dataSetList()`. Partial matching is possible, see `match.arg`. Generated data sets contain the internal coordinates of the manifold in the `meta` slot. Call `dataSetList()` to see what data sets are available.

### Value

`loadDataSet` an object of class `dimRedData`. `dataSetList()` return a character string with the implemented data sets

### Examples

    ## a list of available data sets:
    dataSetList()

    ## Load a data set:
    swissRoll <- loadDataSet("Swiss Roll")
    plot(swissRoll, type = "3vars")

    ## Load Iris data set, partial matching:
    loadDataSet("I")

[Package dimRed version 0.2.2 Index]